読者です 読者をやめる 読者になる 読者になる

min117の日記

初期desireもち。趣味Mac,メインFedora,仕事xp。

RaspberryPi(初代)に node.js をインストールする(youtube-dl npm版 + node-omxplayer)

 

前記事(RaspberryPi 3)と同じことをラズパイの初代でやろうとしたらエラーになった。初代は ARM v6だから(?)か、node.jsのインストールにクセがあるらしい。以下のサイト参考に進めた。

sweep3092.hatenablog.com

ーーー

$ wget https://s3-eu-west-1.amazonaws.com/conoroneill.net/wp-content/uploads/2015/02/node-v0.12.0-linux-arm-pi.tar.gz$ tar -zxvf node-v0.12.0-linux-arm-pi.tar.gz

f:id:min117:20161221061831p:plain

tar -zxvf node-v0.12.0-linux-arm-pi.tar.gz

f:id:min117:20161221061823p:plain

$ cd node-v0.12.0-linux-arm-pi

$ sudo cp -R * /usr/local/

f:id:min117:20161221061757p:plain

バージョン確認

f:id:min117:20161221061746p:plain

ここからは前記事のとおり進める。

min117.hatenablog.com

$ sudo npm cache clean

$ sudo npm install n -g

f:id:min117:20161221061738p:plain

$ sudo n stable

f:id:min117:20161221062346p:plain

インストールされた。

f:id:min117:20161221062705p:plain

ーーー

youtube-dl の npm版 をインストールしていく。

$ npm install youtube-dl

f:id:min117:20161221063151p:plain

エラーになった。

f:id:min117:20161221064021p:plain

無視してomxplayerをインストールしてみる。

$ npm install node-omxplayer

f:id:min117:20161221064240p:plain

こっちは入ったようだ。

ーーー

ソース gakki.js を作って動かしてみる。

f:id:min117:20161221064907p:plain

f:id:min117:20161221064917p:plain

$ node gakki.js

f:id:min117:20161221065204p:plain

だめだ。やはり youtube-dl のインストールがうまくいってないらしい。